BEGIN
	IF ("tspkg_Update77To78"."fn_IsRowsExist"('SysLic') = 0) THEN
		RETURN;
	END IF;
	IF "tspkg_Update77To78"."fn_IsObjectExist"('SysProfileData_backup') = 0 THEN
		RETURN;
	END IF;

	EXECUTE IMMEDIATE 'INSERT INTO "SysProfileData"
		SELECT
			*
		FROM "SysProfileData_backup" spd_b
		WHERE spd_b."ContactId" IS NOT NULL
			AND spd_b."Id" NOT IN (SELECT "Id" FROM "SysProfileData")';

	EXECUTE IMMEDIATE 'MERGE INTO "SysProfileData" spd
	USING (
		SELECT
			*
		FROM (
			SELECT
				t.*, row_number() over(PARTITION BY "Key", "SysCultureId", "ContactId" ORDER BY "ModifiedOn" DESC NULLS LAST) RNK
			FROM "SysProfileData_backup" t
			WHERE "Key" IS NOT NULL
				AND "ObjectId" IS NULL
		)
		WHERE RNK = 1
	) spd_b
	ON (
		spd."Key" = spd_b."Key"
		AND NVL(spd."SysCultureId", 0) = NVL(spd_b."SysCultureId", 0)
		AND NVL(spd."ContactId", 0) = NVL(spd_b."ContactId", 0)
	)
	WHEN MATCHED THEN
		 UPDATE SET spd."ObjectData" = spd_b."ObjectData"';
	
	EXECUTE IMMEDIATE 'INSERT INTO "SysProfileData"
		SELECT
			*
		FROM "SysProfileData_backup" spd_b
		WHERE spd_b."Id" NOT IN (SELECT "Id" FROM "SysProfileData")
			 AND NOT EXISTS (
				SELECT "Id"
				FROM "SysProfileData" spd 
				WHERE spd."Key" = spd_b."Key"
					AND spd."ContactId" IS NULL
					AND spd_b."ContactId" IS NULL
			)';

	EXECUTE IMMEDIATE 'DROP TABLE "SysProfileData_backup"';
END;