DECLARE
	baseVisaUId VARCHAR2(38) := '{5FA90D0D-64EB-4F52-8D3D-C51FA6443B66}';
	baseVisaId VARCHAR2(38);
	sql_script VARCHAR2(500);
BEGIN
	SELECT s."Id" INTO baseVisaId FROM "SysSchema" s WHERE s."UId" = baseVisaUId;
	FOR rec IN (
		SELECT ss."Name"
		FROM "SysSchema" ss
		RIGHT JOIN USER_TABLES ut 
			ON ut."TABLE_NAME" = ss."Name"
		WHERE ss."ParentId" = baseVisaId 
			AND ut."TABLE_NAME" NOT IN (
				SELECT utc."TABLE_NAME" 
				FROM USER_TAB_COLS utc 
				WHERE "COLUMN_NAME" = 'IsRequiredDigitalSignature'
			)
	)
	LOOP
		BEGIN
		sql_script := 'ALTER TABLE "' || rec."Name" || '" ADD ("IsRequiredDigitalSignature" CHAR(1))';
		EXECUTE IMMEDIATE sql_script;
		EXCEPTION
			WHEN OTHERS THEN
			DBMS_OUTPUT.PUT_LINE('ERROR ADD IsRequiredDigitalSignature Column FROM SQL command: ' || sql_script);
		END;
	END LOOP;
END;
/
